org.codehaus.plexus

## Class PlexusTestCase

- java.lang.Object
- - TestCase
  - - org.codehaus.plexus.PlexusTestCase

    public abstract class PlexusTestCase
    extends TestCase

Version:
  $Id: PlexusTestCase.java 1708 2005-04-15 04:47:38Z brett $
Author:
  Jason van Zyl, Trygve Laugstøl, Michal Maczka

### Field Summary

Fields
`protected String` `basedir` Deprecated. Use getBasedir(); instead of accessing this variable directly. When removing this variable rename basedirPath to basedir. Trygve.
`protected PlexusContainer` `container`

### Constructor Summary

Constructors
Constructor and Description
`PlexusTestCase()`
`PlexusTestCase(String testName)` Deprecated. Use the no arg contstructor.

### Method Summary

Methods
`protected PlexusContainer` `createContainerInstance()`
`protected void` `customizeContext()`
`protected void` `customizeContext(Context context)`
`static String` `getBasedir()`
`protected ClassLoader` `getClassLoader()`
`protected InputStream` `getConfiguration()`
`protected InputStream` `getConfiguration(String subname)`
`protected PlexusContainer` `getContainer()`
`protected InputStream` `getCustomConfiguration()`
`protected InputStream` `getResourceAsStream(String resource)`
`static File` `getTestFile(String path)`
`static File` `getTestFile(String basedir, String path)`
`static String` `getTestPath(String path)`
`static String` `getTestPath(String basedir, String path)`
`protected Object` `lookup(String componentKey)`
`protected Object` `lookup(String role, String id)`
`protected void` `release(Object component)`
`protected void` `setUp()`
`protected void` `tearDown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### container

    protected PlexusContainer container

#### basedir

    protected String basedir

Deprecated. Use getBasedir(); instead of accessing this variable directly. When removing this variable rename basedirPath to basedir. Trygve.

### Constructor Detail

#### PlexusTestCase

    public PlexusTestCase()

#### PlexusTestCase

    public PlexusTestCase(String testName)

Deprecated. Use the no arg contstructor.

### Method Detail

#### setUp

    protected void setUp()
                  throws Exception

Throws:
  `Exception`

#### createContainerInstance

    protected PlexusContainer createContainerInstance()

#### customizeContext

    protected void customizeContext()
                             throws Exception

Throws:
  `Exception`

#### customizeContext

    protected void customizeContext(Context context)
                             throws Exception

Throws:
  `Exception`

#### getCustomConfiguration

    protected InputStream getCustomConfiguration()
                                          throws Exception

Throws:
  `Exception`

#### tearDown

    protected void tearDown()
                     throws Exception

Throws:
  `Exception`

#### getContainer

    protected PlexusContainer getContainer()

#### getConfiguration

    protected InputStream getConfiguration()
                                    throws Exception

Throws:
  `Exception`

#### getConfiguration

    protected InputStream getConfiguration(String subname)
                                    throws Exception

Throws:
  `Exception`

#### getResourceAsStream

    protected InputStream getResourceAsStream(String resource)

#### getClassLoader

    protected ClassLoader getClassLoader()

#### lookup

    protected Object lookup(String componentKey)
                     throws Exception

Throws:
  `Exception`

#### lookup

    protected Object lookup(String role,
                String id)
                     throws Exception

Throws:
  `Exception`

#### release

    protected void release(Object component)
                    throws Exception

Throws:
  `Exception`

#### getTestFile

    public static File getTestFile(String path)

#### getTestFile

    public static File getTestFile(String basedir,
                   String path)

#### getTestPath

    public static String getTestPath(String path)

#### getTestPath

    public static String getTestPath(String basedir,
                     String path)

#### getBasedir

    public static String getBasedir()